Package: policykit-1 / 0.105-15~deb8u2

01_pam_polkit.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
From: Michael Biebl <biebl@debian.org>
Date: Tue, 2 Oct 2007 22:38:04 +0200
Subject: Use Debian's common-* PAM infrastructure, plus pam_env

Forwarded: no, Debian-specific
---
 data/polkit-1.in | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/data/polkit-1.in b/data/polkit-1.in
index 142dadd..b890276 100644
--- a/data/polkit-1.in
+++ b/data/polkit-1.in
@@ -1,6 +1,8 @@
 #%PAM-1.0
 
-auth       include      @PAM_FILE_INCLUDE_AUTH@
-account    include      @PAM_FILE_INCLUDE_ACCOUNT@
-password   include      @PAM_FILE_INCLUDE_PASSWORD@
-session    include      @PAM_FILE_INCLUDE_SESSION@
+@include common-auth
+@include common-account
+@include common-password
+session       required   pam_env.so readenv=1 user_readenv=0
+session       required   pam_env.so readenv=1 envfile=/etc/default/locale user_readenv=0
+@include common-session